### A free/open-source library for quantitative finance

Public Member Functions
SABRInterpolation Class Reference

SABR smile interpolation between discrete volatility points. More...

`#include <ql/math/interpolations/sabrinterpolation.hpp>`

Inheritance diagram for SABRInterpolation:
[legend]

List of all members.

## Public Member Functions

template<class I1 , class I2 >

SABRInterpolation (const I1 &xBegin, const I1 &xEnd, const I2 &yBegin, Time t, const Real &forward, Real alpha, Real beta, Real nu, Real rho, bool alphaIsFixed, bool betaIsFixed, bool nuIsFixed, bool rhoIsFixed, bool vegaWeighted=true, const boost::shared_ptr< EndCriteria > &endCriteria=boost::shared_ptr< EndCriteria >(), const boost::shared_ptr< OptimizationMethod > &optMethod=boost::shared_ptr< OptimizationMethod >())

Real | expiry () const
Real | forward () const
Real | alpha () const
Real | beta () const
Real | nu () const
Real | rho () const
Real | rmsError () const
Real | maxError () const
const std::vector< Real > & | interpolationWeights () const
EndCriteria::Type | endCriteria ()

## Detailed Description

SABR smile interpolation between discrete volatility points.